Bug 59314 - Crash using the new conditional formatting option "Icon set" (part II)
Summary: Crash using the new conditional formatting option "Icon set" (part II)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: Other All
: medium critical
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-13 09:29 UTC by Gerry
Modified: 2013-01-22 12:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bug 59314 - WinDbg session with FAILED_SOURCE_CODE (18.56 KB, text/plain)
2013-01-15 13:33 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2013-01-13 09:29:13 UTC
This is a follow-up bug to Bug 59251. In fact bug 59251 is fixed in the release candidate, but a quite similar action leads to a reproducable crash of LibreOffice. The crash occurs using the (really great) new conditional formatting feature in LibreOffice:

How to reproduce:
1. Type or copy following matrix in any 20 cells of the spreadsheet:

1	2	3	4
2	3	4	5
3	4	5	6
4	5	6	7
5	6	7	8

2. select the cells of the matrix
3. Choose "Format" -> "Conditional Formatting" -> "Data bar" -> choose "Icon set" -> click "OK".
4. hit "ctrl" + "c" to copy the matrix in the clipboard (please make sure that the cells are still selected)
5. Click "edit" -> "undo" as often until the spreadsheet is again empty
6. hit "ctrl" + "v" to paste the matrix from the clipboard
7. Choose again "Format" -> "Conditional Formatting" -> "Data bar". LibreOffice now crashes. 

System: Ubuntu 12.10, 64-Bit, LibreOffice Version 4.0.0.1 (Build ID: 527dba6f6e0cfbbc71bd6e7b88a52699bb48799)
Comment 1 Jorendc 2013-01-13 14:05:20 UTC
@Markus: because this is a bug about conditional formatting I add you too CC
Comment 2 Marco Menardi 2013-01-13 17:06:32 UTC
I can confirm RC1, Debian GNU/Linux 64, KDE
Comment 3 bfoman (inactive) 2013-01-15 13:33:49 UTC
Created attachment 73086 [details]
Bug 59314 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 4.0.0.1
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Attached full WinDbg session with FAILED_SOURCE_CODE.
Comment 4 Not Assigned 2013-01-18 13:14:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1de8d78a8ee6ddd6f2b175330fcb709f56b35960

don't create multiple dialogs in the loop, fdo#59314



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2013-01-21 16:17:32 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64403ab585e616595dd339f592c6f2ca41d5e2f8&h=libreoffice-4-0

don't create multiple dialogs in the loop, fdo#59314


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.